Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swing.addon
Class FileString

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.Box
                        |
                        +--swing.addon.FileString

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class FileString
extends javax.swing.Box

This component implements a collection of a text field an a button, with which you can select a file or a directory.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.Box
`javax.swing.Box.AccessibleBox, javax.swing.Box.Filler`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`static int` | `DIRECTORIES_ONLY`
`static int` | `FILES_AND_DIRECTORIES`

Fields inherited from class javax.swing.Box
`accessibleContext`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`FileString()` Constructs a new FileString.
`FileString(java.io.File file)` Constructs a new FileString with the file as content.
`FileString(java.io.File file, int policy)` Constructs a new FileString with filename and the policy.
`FileString(java.lang.String filename)` Constructs a new FileString with filename as content.
`FileString(java.lang.String filename, int policy)` Constructs a new FileString with filename and the policy.

Method Summary
`void` | `addActionListener(java.awt.event.ActionListener l)` Adds an action listener to this components.
`void` | `addChoosableFileFilter(javax.swing.filechooser.FileFilter f)`
`void` | `addChoosableFileFilter(javax.swing.filechooser.FileFilter f, boolean isDefault)`
`java.io.File` | `getFile()` Returns the currwent value of the component.
`java.lang.String` | `getText()` Returns the name of the selected file.
`void` | `setEditable(boolean b)`
`void` | `setEnabled(boolean b)`
`void` | `setFile(java.io.File file)` Sets the file.
`void` | `setFile(java.lang.String file)` Sets the filename of the component.
`void` | `setToolTipText(java.lang.String text)` Sets the tool tip for this component.

Methods inherited from class javax.swing.Box
`createGlue, createHorizontalBox, createHorizontalGlue, createHorizontalStrut, createRigidArea, createVerticalBox, createVerticalGlue, createVerticalStrut, getAccessibleContext, setLayout`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addNotify, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FILES_AND_DIRECTORIES

    public static final int FILES_AND_DIRECTORIES

### DIRECTORIES_ONLY

    public static final int DIRECTORIES_ONLY

Constructor Detail

### FileString

    public FileString()

  Constructs a new FileString. The componentīs policy is FILES_AND_DIRECTORIES.

### FileString

    public FileString(java.io.File file)

  Constructs a new FileString with the file as content. The componentīs policy is FILES_AND_DIRECTORIES.
  Parameters:
    `file` - the initial file

### FileString

    public FileString(java.lang.String filename)

  Constructs a new FileString with filename as content. The componentīs policy is FILES_AND_DIRECTORIES.
  Parameters:
    `filename` - the initial filename

### FileString

    public FileString(java.lang.String filename,
                      int policy)

  Constructs a new FileString with filename and the policy.
  Parameters:
    `filename` - the filename
    `policy` - either FILES_AND_DIRECTORIES or DIRECTORIES_ONLY

### FileString

    public FileString(java.io.File file,
                      int policy)

  Constructs a new FileString with filename and the policy.
  Parameters:
    `the` - initial file
    `either` - FILES_AND_DIRECTORIES or DIRECTORIES_ONLY

Method Detail

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

  Adds an action listener to this components.
  Parameters:
    `l` - the listener

### addChoosableFileFilter

    public void addChoosableFileFilter(javax.swing.filechooser.FileFilter f)

### addChoosableFileFilter

    public void addChoosableFileFilter(javax.swing.filechooser.FileFilter f,
                                       boolean isDefault)

### getFile

    public java.io.File getFile()

  Returns the currwent value of the component.
  Returns:
    the file which has been selected by the user (the file or directory might not exist)

### getText

    public java.lang.String getText()

  Returns the name of the selected file.
  Returns:
    the name of the file which has been selected by the user (the file or directory might not exist)

### setEditable

    public void setEditable(boolean b)

### setEnabled

    public void setEnabled(boolean b)

  Overrides:
    `setEnabled` in class `java.awt.Component`

### setFile

    public void setFile(java.io.File file)

  Sets the file.
  Parameters:
    `file` - the new selected file of the component

### setFile

    public void setFile(java.lang.String file)

  Sets the filename of the component.
  Parameters:
    `file` - the new filename of the component

### setToolTipText

    public void setToolTipText(java.lang.String text)

  Sets the tool tip for this component.
  Parameters:
    `text` - the tool tip text

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD